uses venomgfx,vnm_chr,vnm_fn,vnm_vga,lacrt;

var v:virtualwindow;
    x,y:longint;
    {ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8:TFontChr;}

begin

{writeln('ok');readln;

SetFontStyle('cour.fn',10);

halt;}

Init_Graph(find_mode(800,600));
Init_VW(v,800,600);


OutText(vga,10,10,'Ahoj z VGA',65535);


SetFontStyle('vga',14);
OutText(vga,10,30,'Ahoj ze stredni VGA',65535);

SetFontStyle('vga',8);
OutText(vga,10,50,'Ahoj z male VGA',65535);


SetFontStyle('vga',16);
OutText(vga,10,70,'Ahoj z velke neproporcionalni VGA',63535);


SetFontStyle('vga',16,prop_fn);
OutText(vga,10,90,'Ahoj z velkeho proporcionalniho VGA',63535);



SetFontStyle('vga',8,prop_fn);
OutText(vga,10,110,'Ahoj z maleho proporcionalniho VGA',63535);

SetFontStyle('vga',8);
OutText(vga,10,125,'Ahoj z maleho neproporcionalniho VGA',63535);


SetFontStyle('czgh.chr',16);
OutText(vga,10,170,'Ahoj z CZGH fontu',5535);

Kill_Font('czgh.chr');


SetFontStyle('cour.fn',46);
OutText(vga,10,220,'Ahoj z FN fontu COUR',8835);

OutText(vga,400,220,'akt. velikost: '+mystr(gettextsize),8835);

SetFontStyle('cour.fn',8);
OutText(vga,10,250,'Ahoj z FN fontu COUR',8835);
OutText(vga,400,250,'akt. velikost: '+mystr(gettextsize),8835);



SetFontStyle('czgh.chr',66);
OutText(vga,10,400,'Ahoj z CZGH fontu',5535);
OutText(vga,40,520,'akt. velikost: '+mystr(gettextsize),8835);



SetFontStyle('cp852.vga',16,prop_fn);
OutText(vga,10,280,'Ahoj z fontu ggg (proporcionalni uprava)',635);

SetFontStyle('latin2.vga',19,prop_fn);
OutText(vga,10,300,'Ahoj z fontu POLY.VGA (proporcionalni uprava)',6535);

SetFontStyle('latin2.vga',19,unprop_fn);
OutText(vga,10,320,'Ahoj z fontu POLY.VGA (proporcionalni uprava neni)',6535);


SetFontStyle('latin2.vga',8);
OutText(vga,10,340,'Ahoj z fontu POLY.VGA',65535);

SetFontStyle('latin2.vga',16,prop_fn);
OutText(vga,10,360,'Ahoj z fontu POLY.VGA (proporcionalni uprava)',65535);

(*
SetFontStyle('latin2.vga',19,prop_fn);
OutText(vga,10,340,'Ahoj z fontu POLY.VGA (proporcionalni uprava)',65535);
*)

(*
ch1.LoadFont({'goth.chr'}'czgh.chr');
ch1.fontsize:=16;
ch1.outtext(vga,100,100,'Ahoj svØte!',64000);

ch2.LoadFont({'goth.chr'}'czbd.chr');
ch2.fontsize:=16;
ch2.outtext(vga,100,140,'Ahoj svØte!',64000);

ch3.LoadFont({'goth.chr'}'czlm.chr');
ch3.fontsize:=16;
ch3.outtext(vga,100,180,'Ahoj svØte!',64000);

ch4.LoadFont({'goth.chr'}'czeo.chr');
ch4.fontsize:=16;
ch4.outtext(vga,100,220,'Ahoj svØte!',64000);

ch5.LoadFont({'goth.chr'}'cztr.chr');
ch5.fontsize:=16;
ch5.outtext(vga,100,260,'Ahoj svØte!',64000);

ch6.LoadFont({'goth.chr'}'cztp.chr');
ch6.fontsize:=46;
ch6.outtext(vga,100,300,'Ahoj svØte!',64000);

ch7.LoadFont({'goth.chr'}'czsp.chr');
ch7.fontsize:=16;
ch7.outtext(vga,100,340,'Ahoj svØte!',64000);

ch8.LoadFont({'goth.chr'}'czsi.chr');
ch8.fontsize:=56;
ch8.outtext(vga,100,380,'Ahoj svØte!',64000);
*)

circle(vga,400,300,100,400);
readln;

Kill_Graph;

end.
